SDL_ASSERT_CAPABILITY(3)

NAME
SDL_ASSERT_CAPABILITY - Wrapper around Clang thread safety analysis annotations.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

#define SDL_ASSERT_CAPABILITY(x) \
  SDL_THREAD_ANNOTATION_ATTRIBUTE__(assert_capability(x))

DESCRIPTION
Please see https://clang.llvm.org/docs/ThreadSafetyAnalysis.html#mutex-h

AVAILABILITY
This macro is available since SDL 3.2.0.